#! /bin/ksh 
########################################################################
# Script que gera figuras de campos espaciais para uma rodada do Eta   #
# Modo de chamada: Gera_Figuras.ksh <data da rodada>                   #
# Ex: Gera_Figuras.ksh 2011011712                                      #
########################################################################

# VARIAVEIS
Run_Date=2018102600
Eta_home=/home/ibituruna/Modelo_Eta/worketa
Eta_home1=/home/ibituruna/Modelo_Eta/worketa
Eta_wrk=/home/ibituruna/Modelo_Eta/worketa
Eta_scr=${Eta_home1}/eta/Eta_40km_New/scripts
Eta_scr_out=/home/ibituruna/Modelo_Eta/worketa/eta/Eta_40km_New/scripts/output/2018100900Eta_40km_BMJ_FER
Eta_run=${Eta_wrk}/eta/Eta_40km_New/2018100900Eta_40km_BMJ_FER
Eta_ucl=/home/ibituruna/Modelo_Eta/worketa/eta/Eta_40km_New/ucl
Eta_fix=${Eta_home1}/eta/fix
Eta_wrk_fix=${Eta_home1}/eta/Eta_40km_New/fix
Eta_src=/home/ibituruna/Modelo_Eta/worketa/eta/src
Eta_exe=${Eta_home1}/eta/Eta_40km_New/exe
data_grib=${Eta_home1}/data/CFS
data_prep=${Eta_run}
Eta_static=${Eta_home1}/
data_topo=${Eta_static}/eta/static/topo
data_soilp=${Eta_static}/eta/static/newsoil
data_veg=${Eta_static}/eta/static/veg
Eta_datain=${Eta_home1}/eta/Eta_40km_New/datain
Eta_conf=${Eta_home1}/eta/Eta_40km_New/configuracao
Lon=-54.5 
Lat=-19.5
IM=119
JM=249
LM=38
LSM=22
Res=40
resol=0.40
DLMD=.28846153850000000000
DPHD=.26923076950000000000
Fctexec=etafcst_all.x 
LabRod=Eta_ 
Conf=Eta_40km_New
Fct=264
IntFct=1
FInitBC=CFS
InitBC=6
TInitBC=1
IntPhisAcum=1.0
TypRun=simulation
slope=.true.
vegflag=.true.
sstflg=.false.
postout=latlonnopack
paramet=BMJ_FER
IntFig=3
npr=6
qtdtypsolo=15
topo=1km
soilmoist=.false.
prop1=1.0
prop2=1.0
prop3=1.0
prop4=1.0
Cond_Glob=CFS
newglobalsoil=.true.
Compl_Lab=BMJ_FER

EDATE=$Run_Date


DIR=/home/ibituruna/Modelo_Eta/worketa/eta/${Conf}/scripts_figuras/cptec
DIR_TEMP=${DIR}
DIR_EXEC=${DIR}
DIROUT=/media/ibituruna/Claudine/Eta_40km/Figuras/Campos_Espaciais/Figuras_cptec_${Compl_Lab}_${Run_Date}
#DIRCTL=/home/ibituruna/Modelo_Eta/worketa/eta/${Conf}/binctl/${Compl_Lab}/${Run_Date} 
DIRCTL=/media/ibituruna/Claudine/Eta_40km/binctl/${Run_Date}


mkdir -p ${DIROUT}

###########Desmembra a data######################################
echo $EDATE #2011011712
ano=`caldate.3.0 ${EDATE} + 0h 'yyyy'` #Ex: 2011
mes=`caldate.3.0 ${EDATE} + 0h 'mmm'`  #Ex: Jan
dia=`caldate.3.0 ${EDATE} + 0h 'dd'`   #Ex: 01
#################################################################

 MODEL=MEM01

 cd ${DIR_EXEC}
 typeset -Z3 FHR
 FHR=000
 TT=1

 ARQTMP=`echo "${LabRod}${Res}km_${Compl_Lab}_${Run_Date}"`  
 ARQTMPL=${DIRCTL}/${ARQTMP}

 dtle=`caldate.3.0 ${Run_Date} + ${FHR}hr 'dd/mm/yyyy, hh'` 

 dt_inicial=`caldate.3.0 ${Run_Date} + 001d 'dd/mm/yyyy, hh'`

 DATE=`caldate.3.0 ${Run_Date} + 000h 'dd/mm/yyyy hh'`

 while (($FHR<=$Fct)) ; do
 
 dtle=`caldate.3.0 ${EDATE} + ${FHR}h 'dd/mm/yyyy, hh'`
 rec_dtle=`caldate.3.0 ${EDATE} + ${FHR}h 'yyyymmdd'`
 dtle2=`caldate.3.0 ${rec_dtle} - 1d 'dd/mm/yyyy'`
 ARQTMPL=${DIRCTL}/${LabRod}${Res}km_${Compl_Lab}_${EDATE}

 
 dtle3_1=`caldate.3.0 ${EDATE} + ${FHR}h 'yyyymmddhh'`
 dtle3=`caldate.3.0 ${dtle3_1} - 1d 'dd/mm/yyyy, hh'`

cat ${DIR_EXEC}/templ_4x4_zoom.gs|sed "s:MODEL:${MODEL}:g"|sed "s:ARQCTL:${ARQTMPL}:g"|sed "s:DATE:${DATE}:g"|sed "s:TT:${TT}:g" |sed "s:FHR:${FHR}:g" | sed "s:SAIDA:${DIROUT}:g" > ${DIR_TEMP}/precip1.gs
/usr/local/lib/Grads_2.1/Contents/grads -bpc  'run '${DIR_TEMP}'/precip1.gs'
   
#cat campos_espaciais_templ.gs|sed "s:ARQCTL:${ARQTMPL}:g"|sed "s:DATE:${DATE}:g"|sed "s:TT:${TT}:g" |sed "s:FHR:${FHR}:g" | #sed "s:SAIDA:${DIROUT}:g" > ${DIR_TEMP}/campos_espaciais.gs
#/usr/local/lib/Grads_2.1/Contents/grads -bpc  'run '${DIR_TEMP}'/campos_espaciais.gs'
      

### CALCULO DOMINIO TOTAL ACUMULADO DE 24HRS (DAS 0 E DAS 12), 3 e 7 dias
case $FHR in
  024) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/24/g"|sed "s/TII/1/g"|sed "s/TFI/25/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g" | sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g"|sed '2,3d' > ${DIR_TEMP}/precip1.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc  'run '${DIR_TEMP}'/precip1.gs';;
  036) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/36/g"|sed "s/TII/14/g"|sed "s/TFI/37/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d' > ${DIR_TEMP}/precip2.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip2.gs';;
  048) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/48/g"|sed "s/TII/26/g"|sed "s/TFI/49/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g" | sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip3.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip3.gs';;
  060) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/60/g"|sed "s/TII/38/g"|sed "s/TFI/61/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"|sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip4.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip4.gs';;
  072) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/72/g"|sed "s/TII/50/g"|sed "s/TFI/73/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g" | sed  "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip5.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip5.gs';;
  084) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/84/g"|sed "s/TII/62/g"|sed "s/TFI/85/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g" | sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip6.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip6.gs';;
  096) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/96/g"|sed "s/TII/74/g"|sed "s/TFI/97/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip7.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip7.gs';;
  108) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/108/g"|sed "s/TII/86/g"|sed "s/TFI/109/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip8.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip8.gs';;
  120) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/120/g"|sed "s/TII/98/g"|sed "s/TFI/121/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip9.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip9.gs';;
  132) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/132/g"|sed "s/TII/110/g"|sed "s/TFI/133/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"| sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip10.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip10.gs';;
  144) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/144/g"|sed "s/TII/122/g"|sed "s/TFI/145/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip11.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip11.gs';;
  156) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/156/g"|sed "s/TII/134/g"|sed "s/TFI/157/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip12.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip12.gs';;
  168) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/168/g"|sed "s/TII/146/g"|sed "s/TFI/169/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip13.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip13.gs';;
  180) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/180/g"|sed "s/TII/158/g"|sed "s/TFI/181/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip14.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip14.gs';;
  192) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/192/g"|sed "s/TII/170/g"|sed "s/TFI/193/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip15.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip15.gs';;
  204) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/204/g"|sed "s/TII/182/g"|sed "s/TFI/205/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip16.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip16.gs';;
  216) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/216/g"|sed "s/TII/194/g"|sed "s/TFI/217/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip17.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip17.gs';;
  228) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/228/g"|sed "s/TII/206/g"|sed "s/TFI/229/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip18.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip18.gs';;
  240) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/240/g"|sed "s/TII/218/g"|sed "s/TFI/241/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip19.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip19.gs';;
  252) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/252/g"|sed "s/TII/230/g"|sed "s/TFI/252/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip20.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip20.gs';;
  264) cat ${DIR_EXEC}/templ_prec_acumul.gs|sed "s:MODEL:${MODEL}:g"| sed "s:ARQCTL:${ARQTMPL}:g"|sed "s/DATE/${Run_Date}/g"|sed "s/HP/264/g"|sed "s/TII/242/g"|sed "s/TFI/265/g"|sed "s:DT_ANT:${dtle3}:g"|sed "s:DTLE:${dtle}:g"| sed "s:TIT:${dtle2}:g"|sed "s:SAIDA:${DIROUT}:g" |sed '2,3d'> ${DIR_TEMP}/precip21.gs
    /usr/local/lib/Grads_2.1/Contents/grads -bpc 'run '${DIR_TEMP}'/precip21.gs'

  esac
echo $FHR
let TT=${TT}+1
let FHR=${FHR}+1
done

exit
